use bitfinex::positions::Position;

use crate::events::Event;
use crate::positions::PositionWrapper;
use crate::pairs::PairStatus;

pub trait Strategy {
    fn position_on_new_tick(&self, position: &Position, status: &PairStatus) -> (PositionWrapper, Vec<Event>);
}